## boot-floppies 1.2.1

=== Makefile ===
all build:
	(cd utilities;make)

stamp-build: build

clean: distclean

install: stamp-build
	mkdir -m 755 -p $(prefix)/usr/src/boot-floppies
	tar cf - `echo * | sed 's:debian::'` \
	 | (cd $(prefix)/usr/src/boot-floppies;tar xf -)

distclean:
	(cd utilities;make distclean)
