=== utilities/busybox/Makefile ===
CFLAGS= -O2 -fomit-frame-pointer -fno-builtin
LDFLAGS= -s
STRIP= strip --remove-section=.note --remove-section=.comment busybox
# CFLAGS= -g

LIBRARIES=

OBJECTS= main.o \
	block_device.o cat.o chgrp.o chmod.o chown.o clear.o cp.o \
	descend.o df.o dyadic.o false.o findmount.o \
	floppy_merge.o halt.o init.o kill.o ln.o mkdir.o mknod.o mkswap.o \
	monadic.o math.o fdflush.o length.o date.o \
	more.o mount.o mt.o mv.o postprocess.o pwd.o reboot.o \
	rm.o rmdir.o sleep.o swapoff.o swapon.o sync.o \
	touch.o true.o tryopen.o umount.o update.o utility.o \
	tarfn.o star.o tiny-ls.o

all: busybox $(LINKS)

busybox: $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o busybox $(OBJECTS) $(LIBRARIES)
	$(STRIP)

clean:
	- rm -f $(OBJECTS) busybox

distclean: clean
	- rm -f busybox
