=== debian/changelog ===
boot-floppies (1.2.1) unstable; urgency=low

  * Ready for 1.2 release.

 -- Bruce Perens <Bruce@Pixar.com>  Tue, 3 Dec 1996 21:50:33 -0800

boot-floppies (1.2.0-3) unstable; urgency=low

  * Ready for beta test of Debian 1.2 .

 -- Bruce Perens <Bruce@Pixar.com>  Thu, 28 Nov 1996 00:45:11 -0800

boot-floppies (1.2.0-2) unstable; urgency=low

  * This one actually builds a bootable boot/root floppy.
  * There's still one too many floppies in the base archive, and
    there's no modules floppy yet.

 -- Bruce Perens <Bruce@Pixar.com>  Wed, 20 Nov 1996 21:04:33 -0800

boot-floppies (1.2.0-1) unstable; urgency=low

  * 
  * Still not finished, but I'm uploading it so that everyone's on the
    same page. The base system is too big, all disks build but nothing
    is tested.
  * Update to Debian 1.2 packages.
  * Make multiple architectures work.

 -- Bruce Perens <Bruce@Pixar.com>  Tue, 22 Oct 1996 20:11:17 +0700

boot-floppies (1.1.2-0) unstable; urgency=low

  * Updated to Standards-Version 2.1.1.0 .

 -- Bruce Perens <Bruce@Pixar.com>  Sun, 13 Oct 1996 20:11:17 +0700

Local variables:
mode: debian-changelog
End:
