=== debian/control ===
Source: boot-floppies
Section: devel
Priority: optional
Maintainer: Bruce Perens <Bruce@Pixar.com>
Standards-Version: 2.1.1.0

Package: boot-floppies
Architecture: any
Depends: libc5-pic, ncurses3.0-pic, mkrboot
Description: Scripts to create the Debian installation floppy set.
 This package allows you to create a Debian installation system on floppy
 disk or other media, for bootstrapping Debian onto a new system. Most users
 will simply download the disk images to do this, and this package will
 generally only be used by advanced Debian maintainers.
