=== debian/changelog ===
boot-floppies (1.2.21) stable unstable; urgency=low

  * dinstall: support IDE devices up to /dev/hdh (#10558)
  * Makefile, *.sh: consider getting packages from updates/ directory
  * common.sh (new): find package with highest version correctly
  
 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 5 Jun 1997 21:05:43 +0200

boot-floppies (1.2.20) frozen unstable; urgency=low

  * documentation/install.in.html: minor corrections
  * rootdisk.sh, scripts/rootdisk/EXTRACT_LIST: split into general and
      architecture-specific files; isapnptools only for i386
  * scripts/rootdisk/SMALL_BASE_LIST_i386: use fi-latin1
  * dinstall: create /target/etc/hosts for pcmcia case (#10233)
  * dinstall: copy /dev/cdrom symlink to /target/dev/cdrom
  * dinstall: fixed crash on "not found" in choose_base_archive_dir()
  * dinstall: mkdir /target/etc/pcmcia
  * utilities/busybox/init.c: don't use initrd, shutdown directly
                                     ( cold reboot ? )
  * Makefile: copy setup.bat and loadlin.exe into release/

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 5 Jun 1997 21:05:43 +0200

boot-floppies (1.2.19) frozen unstable; urgency=low

  * create extra tecra disks
  * documentation/dselect.beginner.8.in.html: merged fixes
  * documentation/install.in.html: clarifications
  * kernel.sh: don't create rescmods.tgz
  * drivers.sh: don't encode revext in type.txt
  * scripts/rescue/debian.txt: centered headline (#9984)
  * scripts/rootdisk/SMALL_BASE_LIST_i386: use de-latin1-nodeadkeys
  * dinstall: use de-latin1-nodeadkeys
              always call modconf with --run-shell cdromsymlink
  * scripts/rootdisk/release_notes: centered headline (#9985)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 27 May 1997 23:11:55 +0200

boot-floppies (1.2.18) frozen unstable; urgency=low

  * documentation/{Makefile,install.in.html}: minor changes
  * rootdisk.sh: put getfdprm on lowmem root
  * scripts/rescue/readme.txt: bZimage typo fixed
  * dinstall: made setting Base_Archive_Dir manually work
              don't format boot floppy on lowmem root (superformat is missing)
  * utilities/busybox/init.c: check root device for lowmem install
         unlink("/sbin/swapsetup") didn't work on ro-mounted fs
         added set_free_pages in order to avoid free page problem
         store swap partition choice on harddisk
  * install elvis-tiny (smallest "real" vi) in base system
  * Makefile: remove release/documentation/*.in.html (Bug#9962)
              use modconf_0.2.10.deb and elvis-tiny_1.4-1.deb
  * rescue.sh: fixed DEBIAN_KERNEL_IMAGE sed expression
               VERSION was replaced by KERNEL_VERSION; typos fixed (Bug#9961)
               Copy system.map to the rescue floppy again
  * scripts/rootdisk/new_root_home/.bash_profile: added exit at end
  * utilities/busybox/losetup.c: updated from mount_2.6d, fixes bug
  * scripts/rootdisk/prototype/etc/rc: truncate /etc/mtab

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 20 May 1997 02:08:24 +0200

boot-floppies (1.2.17) frozen unstable; urgency=low

  * Makefile: use adduser_2.14 (older versions had problems with shadow)
  * dinstall: correct the ownership of /root
  * rescue.sh: fixed determining DEBIAN_KERNEL_IMAGE
  * utilities/busybox/tiny-ls.c: reenable FEATURE_FILETYPECHAR
                                 (used by timezone setup)
  * rootdisk.sh: round number of maintainers to a multiple of 10
  * scripts/rootdisk/new_root_home/setup.sh: call /etc/cron.daily/find
  * dinstall: don't require both kernel and base in same Base_Archive_Dir
  * basedisks.sh: fix location of setup.sh in /etc/init.d/boot

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Fri, 16 May 1997 01:26:36 +0200

boot-floppies (1.2.16) frozen unstable; urgency=low

  * Makefile: use kernel-image-2.0.30_2.0.30-6_i386.deb
  * rootdisk.sh: don't use the busybox losetup
  * dinstall: (mount_and_check_floppy) make /dev/loop0 work
              deny kernel installation from non-floppy for lowmem
              (choose_harddisk) unmount /instmnt before offering
                                unmounted partitions
  * utilities/busybox/init.c: fixed memtotal extraction
  * several text typos and documentation fixed

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 13 May 1997 02:34:13 +0200

boot-floppies (1.2.15) frozen unstable; urgency=low

  * busybox/zcat.c: skip original file name in gzipped file
  * basedisks.sh: only create 1.2MB base disks
  * documentation/install.html: document this
          document booting from CD ROM
  * Makefile: root filessystem size is now 1800KB
  * basedisks.sh: remove #8286, #8263, and zcat limitation workarounds
  * rescue.sh: display kernel-image version in debian.txt (used by syslinux)
               removed rescmods from reescue disk (space limitation)
  * scripts/basedisks/PACKAGES_i386: add isapnptools
  * scripts/rootdisk/EXTRACT_LIST: add isapnptools
  * scripts/rootdisk/SMALL_BASE_LIST_all: add sbin/isapnp and sbin/pnpdump
  * rootdisk.sh: remove sbin/isapnp and sbin/pnpdump from lowmem root
  * scripts/rootdisk/SMALL_BASE_LIST_all: remove lsmod
  * scripts/rootdisk/prototype/bin/ps: provide lsmod
  * dinstall: move floppy insertion prompt to mount_and_check
              don't use rescmods
  * busybox/init.c: check MemTotal instead of MemFree

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 8 May 1997 16:27:51 +0200

boot-floppies (1.2.14) frozen unstable; urgency=low

  * scripts/rootdisk/new_root_home/.bash_profile: configure shadow passwords
                                                  remove empty lines in password text
  * Makefile: use unzip to extract rawrite
  * basedisks.sh: use new makedev
                  create empty /etc/init.d/xdm (workaround for #9189
                  re-gzip /usr/lib/syslinux/*.gz (workaround for busybox zcat limitation)
  * documentation/install.html: updated lowmem instructions
  * rootdisk.sh: use new makedev
                 re-gzip keytables (workaround for busybox zcat limitation)

