=== debian/control ===
Source: boot-floppies
Section: devel
Priority: optional
Maintainer: Maintainer Group <sr1-boot-floppies@debian.org>
Standards-Version: 2.1.1.0

Package: boot-floppies
Architecture: all
Depends: libc5-pic, ncurses3.0-pic, mkrboot, dosfstools (>>1.0-4), syslinux (>= 1.30), sysutils
Suggests: lynx (>= 2.6)
Description: Scripts to create the Debian installation floppy set.
 This package allows you to create a Debian installation system on floppy
 disk or other media, for bootstrapping Debian onto a new system. Most users
 will simply download the disk images to do this, and this package will
 generally only be used by advanced Debian maintainers.
