## boot-floppies 1.2.23

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,18 @@
 
 kernel=$(archive)/base/kernel-image-2.0.29_2.0.29-7.deb
 kerneltecra=$(kernel_dir)/kernel-image-2.0.29_2.0.29-7_tecrai386.deb
+kernelv30=$(archive)/base/kernel-image-2.0.30_2.0.30-7.deb
 kernel_version=$(shell echo $(kernel) | sed -e 's/.*kernel-image-//' | \
 			sed -e 's/_.*//')
-pcmcia_package=$(shell ls $(archive)/admin/pcmcia-modules-$(kernel_version)_*.deb | tail -1)
-pcmcia_package=/home/sr1/debian/Incoming/pcmcia-modules-2.0.29-7_2.9.6-2_i386.deb
+
+# don't include pcmcia modules
+#pcmcia_package=$(shell ls $(archive)/admin/pcmcia-modules-$(kernel_version)-*.deb | tail -1)
+#pcmcia_package=$(shell ls $(ftp_archive)/bo-updates/pcmcia-modules-$(kernel_version)-*.deb | tail -1)
+#pcmcia_package=/home/sr1/debian/Incoming/pcmcia-modules-2.0.29-7_2.9.6-2_i386.deb
+#pcmcia_package_v30=$(shell ls $(ftp_archive)/bo-updates/pcmcia-modules-2.0.30-*.deb | tail -1)
 
 packages_with_modules=$(pcmcia_package)
+packages_with_modules_v30=$(pcmcia_package_v30)
 
 # disable this if you already have these files in the FTP mirror
 localfiles: updates #$(archive)/base/modconf_0.2.12.deb
@@ -27,9 +33,6 @@
 updates::
 	mkdir -p updates
 	cp -av $(ftp_archive)/bo-updates/*.deb \
-		$(incoming)/pcmcia-modules-2.0.29-7_2.9.6-1_i386.deb \
-		$(incoming)/pcmcia-modules-2.0.30-7_2.9.6-1_i386.deb \
-		$(incoming)/REJECT/sysklogd_1.3-16_i386.deb \
 		updates/
 
 # don't edit below this line (but look for XXX)
@@ -44,7 +47,8 @@
 	$(MAKE) resc1440.bin resc1200.bin \
 		drv1440.bin drv1200.bin ${base_archive}
 	$(MAKE) lmemroot.bin
-	$(MAKE) tecra
+	$(MAKE) special_tecra
+	$(MAKE) special_v30
 
 all_subdirs:
 	(cd utilities;make)
@@ -56,8 +60,9 @@
 	rm -rf release
 	mkdir -p release
 	cp documentation/*.{txt,html} release
+	cp base-contents release/basecont.txt
 	rm release/*.in.html
-	cp -r *.bin base*.tgz tecra release/
+	cp -r *.bin base*.tgz special release/
 	mkdir /var/tmp/mnt.$$
 	mount -o loop release/resc1440.bin /var/tmp/mnt.$$
 	cp /var/tmp/mnt.$$/linux release/
@@ -83,10 +88,15 @@
 distclean:
 	(cd utilities;make distclean)
 	(cd documentation;make distclean)
-	rm -f *.bin *.tgz sys_map*.gz  linux* modcont* core *~
-	rm -rf release tecra updates
+	rm -f *.bin *.tgz sys_map*.gz  linux* modcont* core
+	rm -f `find -name \*~`
+	rm -rf release special/*/{*.bin,linux} updates
 
-tecra::	tecra/resc1440.bin tecra/drv1440.bin
+special_tecra::	special/tecra/resc1440.bin special/tecra/drv1440.bin
+	cp linuxtecra special/tecra/linux
+
+special_v30::	special/v30/resc1440.bin special/v30/drv1440.bin
+	cp linuxv30 special/v30/linux
 
 modules.tgz sys_map.gz linux \
 modcont: $(packages_with_modules) kernel.sh $(kernel) Makefile
@@ -96,15 +106,23 @@
 modconttecra: $(packages_with_modules) kernel.sh $(kerneltecra) Makefile
 	./kernel.sh tecra $(kerneltecra) $(packages_with_modules)
 
+modulesv30.tgz sys_mapv30.gz linuxv30 \
+modcontv30: $(packages_with_modules_v30) kernel.sh $(kernelv30) Makefile
+	./kernel.sh v30 $(kernelv30) $(packages_with_modules_v30)
+
 drv1440.bin: modules.tgz drivers.sh Makefile \
 		$(shell find scripts/drivers -type f )
 	./drivers.sh "" 1440 modules.tgz 
 
-tecra/drv1440.bin: modulestecra.tgz drivers.sh Makefile \
+special/tecra/drv1440.bin: modulestecra.tgz drivers.sh Makefile \
 		$(shell find scripts/drivers -type f )
 	./drivers.sh tecra 1440 modulestecra.tgz 
-	mkdir -p tecra
-	mv -f drv1440tecra.bin tecra/drv1440.bin
+	mv -f drv1440tecra.bin special/tecra/drv1440.bin
+
+special/v30/drv1440.bin: modulesv30.tgz drivers.sh Makefile \
+		$(shell find scripts/drivers -type f )
+	./drivers.sh v30 1440 modulesv30.tgz 
+	mv -f drv1440v30.bin special/v30/drv1440.bin
 
 drv1200.bin: modules.tgz drivers.sh Makefile \
 		$(shell find scripts/drivers -type f )
@@ -127,11 +145,15 @@
 		root.bin $(shell find scripts/rescue -type f )
 	./rescue.sh "" $(kernel) root.bin 1440 ${debianversion}
 
-tecra/resc1440.bin:	linuxtecra sys_maptecra.gz rescue.sh Makefile \
+special/tecra/resc1440.bin:	linuxtecra sys_maptecra.gz rescue.sh Makefile \
 		root.bin $(shell find scripts/rescue -type f )
 	./rescue.sh tecra $(kerneltecra) root.bin 1440 ${debianversion}
-	mkdir -p tecra
-	mv -f resc1440tecra.bin tecra/resc1440.bin
+	mv -f resc1440tecra.bin special/tecra/resc1440.bin
+
+special/v30/resc1440.bin:	linuxv30 sys_mapv30.gz rescue.sh Makefile \
+		root.bin $(shell find scripts/rescue -type f )
+	./rescue.sh v30 $(kernelv30) root.bin 1440 ${debianversion}
+	mv -f resc1440v30.bin special/v30/resc1440.bin
 
 resc1200.bin:	linux sys_map.gz rescue.sh Makefile \
 		$(shell find scripts/rescue -type f )
