=== debian/changelog ===
boot-floppies (1.2.23) stable unstable; urgency=low

  * debian/control: change maintainer name
  * basedisks.sh: don't create /dev/inet (#11599)
		  create `dpkg -l' of base system
  * common.sh: create absolute paths for updates/
  * dinstall: don't unmount /, offer to reboot after fdisk (#10743)
  * create special disk set with 2.0.30 kernel (#10776)
  * special/*/README: descriptions for the special disks
  * documentation/install.in.html: mention special disks (#5953)
				   remove floppy requirement
				   corrected PCMCIA sentences (#10864)
  * Makefile: don't include PCMCIA modules on driver disk

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Fri, 1 Aug 1997 15:38:21 +0200
