=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: boot-floppies
 Section: devel
 Priority: optional
-Maintainer: Maintainer Group <sr1-boot-floppies@debian.org>
+Maintainer: Sven Rudolph <sr1-boot-floppies@debian.org>
 Standards-Version: 2.1.1.0
 
 Package: boot-floppies
 Architecture: all
-Depends: libc5-pic, ncurses3.0-pic, mkrboot, dosfstools (>>1.0-4), syslinux (>= 1.30), sysutils
+Depends: libc5-pic, ncurses3.0-pic, mkrboot, dosfstools (>>1.0-4), syslinux (>= 1.30), sysutils, makedev (>=1.6-15)
 Suggests: lynx (>= 2.6)
 Description: Scripts to create the Debian installation floppy set.
  This package allows you to create a Debian installation system on floppy
