=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# Sample debian.rules file - for GNU Hello (1.3).
+# derived from: Sample debian.rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # I hereby give you perpetual unlimited permission to copy,
 # modify and relicense this file, provided that you do not remove
@@ -17,7 +17,7 @@
 
 build:
 	$(checkdir)
-	$(MAKE) CFLAGS=-O2 LDFLAGS= prefix=debian/tmp
+	$(MAKE) all_subdirs prefix=debian/tmp
 	touch build
 
 clean:
@@ -37,15 +37,28 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp debian/tmp/DEBIAN
 	install -d debian/tmp/usr/doc/$(package)
+	$(MAKE)
+	$(MAKE) release
 	$(MAKE) CFLAGS=-O2 LDFLAGS=-s install prefix=debian/tmp
-	cp debian/copyright debian/tmp/usr/doc/$(package)/.
-	dpkg-gencontrol > debian/tmp/DEBIAN/control
+	( cd debian/tmp/usr/src/boot-floppies; make clean)
+	cp debian/changelog debian/tmp/usr/doc/$(package)/
+	gzip -9f debian/tmp/usr/doc/$(package)/changelog
+	cp debian/copyright README debian/tmp/usr/doc/$(package)/.
+	dpkg-gencontrol -pboot-floppies > debian/tmp/DEBIAN/control
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..
+	-rm -rf debian/tmp
+#	install -d debian/tmp debian/tmp/DEBIAN
+#	install -d debian/tmp/usr/doc/rescue-image
+#	dpkg-gencontrol -prescue-image > debian/tmp/DEBIAN/control
+#	chown -R root.root debian/tmp
+#	chmod -R g-ws debian/tmp
+#	dpkg --build debian/tmp ..
+#	-rm -rf debian/tmp
 
 define checkdir
-	test -f make_disks.sh -a -f debian/rules
+	test -f rootdisk.sh -a -f debian/rules
 endef
 
 # Below here is fairly generic really
